Skip to main content
POST
/
v1
/
analyses
Create Analysis
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analyses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "analysisTypeId": "<string>",
  "name": "<string>",
  "analysisPeriods": [
    {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "interimAsAtDate": "2023-12-25"
    }
  ],
  "currencyCode": "<string>",
  "interim": true,
  "periodic": true,
  "referenceId": "<string>"
}
'
{
  "version": 123,
  "engagementId": "<string>",
  "analysisTypeId": "<string>",
  "name": "<string>",
  "analysisPeriods": [
    {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "id": "<string>",
      "interimAsAtDate": "2023-12-25"
    }
  ],
  "currencyCode": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "interim": true,
  "archived": true,
  "converted": true,
  "periodic": true,
  "importantColumns": [
    {
      "columnName": "<string>",
      "field": "<string>"
    }
  ],
  "analysisPeriodGaps": [
    {
      "analysisPeriodId": "<string>",
      "previousAnalysisPeriodId": "<string>",
      "days": 123
    }
  ],
  "latestAnalysisResultId": "<string>",
  "referenceId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123,
    "frequency": "ANNUAL"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
engagementId
string
required

Identifies the associated engagement.

analysisTypeId
string
required

Identifies the type of analysis.

name
string
required

The name of the analysis.

Maximum string length: 80
analysisPeriods
object[]
required

Details about the specific analysis periods under audit.

currencyCode
string
required

The currency to be displayed across the analysis results.

interim
boolean

Indicates whether or not the analysis is using an interim time frame.

periodic
boolean

Indicates whether or not the analysis is using a periodic time frame.

referenceId
string

A reference ID to identify the analysis.

Maximum string length: 256

Response

201 - application/json

Created

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

engagementId
string
required

Identifies the associated engagement.

analysisTypeId
string
required

Identifies the type of analysis.

name
string
required

The name of the analysis.

Maximum string length: 80
analysisPeriods
object[]
required

Details about the specific analysis periods under audit.

currencyCode
string
required

The currency to be displayed across the analysis results.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

interim
boolean

Indicates whether or not the analysis is using an interim time frame.

archived
boolean

Indicates whether or not the analysis has been archived.

converted
boolean

Indicates whether or not an interim analysis time frame has been converted to a full analysis time frame.

periodic
boolean

Indicates whether or not the analysis is using a periodic time frame.

importantColumns
object[]

Additional data columns that can be used when importing additional data.

analysisPeriodGaps
object[]

Details about the gap in time between two analysis periods.

latestAnalysisResultId
string
referenceId
string

A reference ID to identify the analysis.

Maximum string length: 256
reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analysis uses a standard reporting period.

accountingPeriod
Accounting Period · object

Details about the accounting period used in this analysis. If null the analysis uses a custom reporting period.